>From a2dc22c1fb2c48c483eb69ed25bafb878e5a2eab Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Thu, 19 Mar 2009 14:06:47 +0100
Subject: [PATCH] with skins2(Windows), solve vlc sometimes hanging (blocked in CreateWindowEx)
when multiple vouts are launched (e.g audio-visual)
---
 modules/gui/skins2/win32/win32_window.cpp |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/modules/gui/skins2/win32/win32_window.cpp b/modules/gui/skins2/win32/win32_window.cpp
index 2db62c2..4725d83 100644
--- a/modules/gui/skins2/win32/win32_window.cpp
+++ b/modules/gui/skins2/win32/win32_window.cpp
@@ -55,9 +55,10 @@ Win32Window::Win32Window( intf_thread_t *pIntf, GenericWindow &rWindow,
     {
         // Child window (for vout)
         m_hWnd_parent = pParentWindow->getHandle();
-        m_hWnd = CreateWindowEx( WS_EX_TOOLWINDOW, "SkinWindowClass",
-            "default name", WS_CHILD, CW_USEDEFAULT, CW_USEDEFAULT,
-            CW_USEDEFAULT, CW_USEDEFAULT, m_hWnd_parent, 0, hInst, NULL );
+        m_hWnd = CreateWindowEx( WS_EX_TOOLWINDOW | WS_EX_NOPARENTNOTIFY,
+                     "SkinWindowClass", "default name", WS_CHILD,
+                     CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT,
+                     m_hWnd_parent, 0, hInst, NULL );
     }
     else
     {
-- 
1.5.2.5

